View Issue Details

IDProjectCategoryView StatusLast Update
0003048Ham Radio DeluxeBugpublic2019-01-16 22:04
ReporterK7ZCZ 
Assigned ToK7ZCZ 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version6.5.0.166 
Target VersionFixed in Version6.5.0.183 
Summary0003048: Logbook can't lookup HamCall callsign when password contains special characters
DescriptionThe HamCall.net site requires that the user's password be sent on the URL (which seems pretty crummy, but ...). HRD fails to encode the password on the URL, so if the password contains any special or unsafe characters (like ; / ? : @ = & or " < > # % { } | \ ^ ~ [ ] `) the program won't successfully access the website and the user will always get an error.

It's a great idea to sue funny cahracters in a password for security, and the website allows such passwords to be set. HRD is incompatible with the allowed passwords.

HRD can avoid trouble by properly encoding the HamCall.net URLs it develops.


Steps To Reproduce    
1) Change your HamCall.net password to include an ampersand or hash, or both
2) Configure HRD with your new password
3) Configure HamCall.net to be an active lookup data source in the Logbook
4) Test the callsign lookup feature; using the configuration dialog's test feature is adequate

BUG#1) Always fails with "bad password". Or, it might crash, due to Mantis 3045.

TagsNo tags attached.
ModuleLogbook
Sub-ModuleCall lookup
Testing Beta Successful

Relationships

Activities

K7ZCZ

2019-01-07 12:46

manager   ~0006899

fixed with this checkin:
https://hrdsoftware.visualstudio.com/HRD/_versionControl/changeset/4674

WA9PIE

2019-01-09 15:18

administrator   ~0006935

Validated

Issue History

Date Modified Username Field Change
2019-01-07 12:15 K7ZCZ New Issue
2019-01-07 12:46 K7ZCZ Assigned To => K7ZCZ
2019-01-07 12:46 K7ZCZ Status new => resolved
2019-01-07 12:46 K7ZCZ Resolution open => fixed
2019-01-07 12:46 K7ZCZ Note Added: 0006899
2019-01-07 18:06 K7ZCZ Fixed in Version => 6.5.0.168
2019-01-09 15:18 WA9PIE Status resolved => closed
2019-01-09 15:18 WA9PIE Description Updated View Revisions
2019-01-09 15:18 WA9PIE Steps to Reproduce Updated View Revisions
2019-01-09 15:18 WA9PIE Testing Not Started => Beta Successful
2019-01-09 15:18 WA9PIE Note Added: 0006935
2019-01-16 22:04 WA9PIE Fixed in Version 6.5.0.168 => 6.5.0.183
2019-01-16 22:04 WA9PIE Project 3 - Current Dev List => Ham Radio Deluxe